# Enum WorkoutEvent.Kind

java.lang.Object
java.lang.Enum<WorkoutEvent.Kind>
com.codename1.health.workout.WorkoutEvent.Kind

All Implemented Interfaces:
  `Comparable<WorkoutEvent.Kind>`

Enclosing class:
  `WorkoutEvent`

public static enum WorkoutEvent.Kind extends Enum<WorkoutEvent.Kind>
What kind of moment an event marks.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LAP`
  A lap boundary.
  `MARKER`
  A user-placed marker.
  `MOTION_PAUSED`
  The platform detected that the user stopped moving.
  `MOTION_RESUMED`
  The platform detected that the user resumed moving.
  `PAUSE`
  The session paused.
  `RESUME`
  The session resumed.
  `SEGMENT`
  The start or end of a named segment.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static WorkoutEvent.Kind`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static WorkoutEvent.Kind[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LAP

    public static final WorkoutEvent.Kind LAP
    A lap boundary.

  - ### MARKER

    public static final WorkoutEvent.Kind MARKER
    A user-placed marker.

  - ### SEGMENT

    public static final WorkoutEvent.Kind SEGMENT
    The start or end of a named segment.

  - ### PAUSE

    public static final WorkoutEvent.Kind PAUSE
    The session paused.

  - ### RESUME

    public static final WorkoutEvent.Kind RESUME
    The session resumed.

  - ### MOTION_PAUSED

    public static final WorkoutEvent.Kind MOTION_PAUSED
    The platform detected that the user stopped moving.

  - ### MOTION_RESUMED

    public static final WorkoutEvent.Kind MOTION_RESUMED
    The platform detected that the user resumed moving.

- ## Method Details

  - ### values

    public static WorkoutEvent.Kind[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static WorkoutEvent.Kind valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null